Index Page wnfltd_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void wnfltd_c ( SpiceDouble     small,
                       SpiceCell    *  window )
#### Abstract
       Filter (remove) small intervals from a double precision window.
#### Required_Reading
       WINDOWS
#### Keywords
       WINDOWS
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       small      I   Limiting measure of small intervals.
       window    I,O  Window to be filtered.
#### Detailed_Input
       small       is the limiting measure of the small intervals to
                   be filtered. Intervals of measure less than or equal
                   to small are removed from the window.

       window      on input, is a window containing zero or more
                   intervals.  window must be declared as a double precision
                   SpiceCell.
#### Detailed_Output
       window      on output, is the original window, after small
                   intervals have been removed.
#### Parameters
       None.
#### Exceptions
       1) If the input window does not have double precision type,
          the error SPICE(TYPEMISMATCH) is signaled.

       2) If small is less than or equal to zero, this routine has
          no effect on the window.
#### Files
        None.
#### Particulars
       This routine removes from the input window every interval with
       measure less than or equal to the limiting measure (small).
#### Examples
       Let window contain the intervals

          [ 1, 3 ]  [ 7, 11 ]  [ 23, 27 ]  [ 29, 29 ]

       Then the following series of calls

          wnfltd_c (  0, &window );                (1)
          wnfltd_c (  2, &window );                (2)
          wnfltd_c (  3, &window );                (3)

       produces the following series of windows

          [ 1, 3 ]   [ 7, 11 ]  [ 23, 27 ]         (1)
                     [ 7, 11 ]  [ 23, 27 ]         (2)
                     [ 7, 11 ]  [ 23, 27 ]         (3)
#### Restrictions
        None.
#### Literature_References
        None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
       H.A. Neilan     (JPL)
       W.L. Taber      (JPL)
       I.M. Underwood  (JPL)
#### Version
       -CSPICE Version 1.0.0, 21-JUL-2002 (NJB) (HAN) (WLT) (IMU)
#### Index_Entries
       filter small intervals from a d.p. window
#### Link to routine wnfltd_c source file wnfltd_c.c

    Wed Jun  9 13:05:33 2010